Bug 1719798 (svt-av1) - Review Request: svt-av1 - Scalable Video Technology for AV1 Encoder
Summary: Review Request: svt-av1 - Scalable Video Technology for AV1 Encoder
Keywords:
Status: CLOSED ERRATA
Alias: svt-av1
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-12 15:00 UTC by Robert-André Mauchin
Modified: 2019-07-21 15:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-21 06:50:07 UTC
loganjerry: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 2019-06-12 15:00:35 UTC
Spec URL: https://eclipseo.fedorapeople.org/for-review/svt-av1.spec
SRPM URL: https://eclipseo.fedorapeople.org/for-review/svt-av1-0.5.0-1.20190612gitd380874.fc31.src.rpm

Description:
The Scalable Video Technology for AV1 Encoder (SVT-AV1 Encoder) is an AV1-compliant encoder library core. The SVT-AV1 development is a work-in-progress targeting performance levels applicable to both VOD and Live encoding / transcoding video applications.

Fedora Account System Username: eclipseo

Comment 1 Robert-André Mauchin 2019-06-12 15:04:00 UTC
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=35504342

Comment 2 Jerry James 2019-06-13 00:39:09 UTC
I will take this review.

Comment 3 Jerry James 2019-06-13 01:49:57 UTC
Issues
==============
1. The license situation needs some work, I think.  The top-level LICENSE.md
   file corresponds to BSD-2-Clause-Patent instead of plain BSD.  However:

   a. Source/Lib/Common/Codec/EbHmCode.c has plain BSD license text at the top.

   b. Several files have the Expat license, which Fedora calls "MIT":
      Source/App/EncApp/EbAppString.c
      Source/App/EncApp/EbAppString.h
      Source/Lib/Common/Codec/EbString.c
      Source/Lib/Common/Codec/EbString.h
      Source/Lib/Common/Codec/vector.c
      Source/Lib/Common/Codec/vector.h

   c. Source/Lib/Common/ASM_SSE2/x86inc.asm contains the ISC license text.

   d. Two files have a public domain declaration:
      Source/App/DecApp/EbMD5Utility.c
      Source/App/DecApp/EbMD5Utility.h

   So the License tag should probably be "BSD-2-Clause-Patent and BSD and MIT
   and ISC and Public Domain".  Some of those licenses are likely to subsume
   others, so it is probably okay to shorten that, possibly as far as
   "BSD-2-Clause-Patent and MIT", but you would probably need to check with
   Fedora Legal on that.

2. Since the binaries in the main package are linked with the libraries in
   the -libs package, the main package must have this:

   Requires: %{name}-libs%{?_isa} = %{version}-%{release}

3. After fixing #2, since the main package will pull in the -libs subpackage,
   it is not necessary to include the license file in the main package, nor is
   it necessary to duplicate the contents of %doc.  It is not wrong, just not
   necessary.

4. The build flags are problematic.  I do NOT see the Fedora %{optflags} in
   use.  In addition, -mavx is used.  That flag cannot be used when building
   for Fedora, unless you plan to attempt the approach described in
   https://clearlinux.org/blogs/transparent-use-library-packages-optimized-intel-architecture
   I know the spec file says that this package is for 5th generation CPUs only,
   so maybe this is okay, but I would like to make sure the Packaging Committee
   is okay with it.

5. The libraries are underlinked.  See rpmlint's complaints about undefined
   non-weak symbols below.  Both libaries must be linked with -lpthread.

6. There is a test directory.  Is it possible to add a %check script?

7. It should be possible, maybe with a little work, to use help2man to generate
   man pages for the 2 binaries.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 2-clause "Simplified" License",
     "BSD 3-clause "New" or "Revised" License", "Public domain", "Expat
     License", "Apache License (v2.0)", "ISC License". 524 files have
     unknown license. Detailed output of licensecheck in
     /home/jamesjer/1719798-svt-av1/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[!]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 245760 bytes in 24 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in svt-av1
     , svt-av1-libs , svt-av1-devel
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: svt-av1-0.5.0-1.20190612gitd380874.fc31.x86_64.rpm
          svt-av1-libs-0.5.0-1.20190612gitd380874.fc31.x86_64.rpm
          svt-av1-devel-0.5.0-1.20190612gitd380874.fc31.x86_64.rpm
          svt-av1-debuginfo-0.5.0-1.20190612gitd380874.fc31.x86_64.rpm
          svt-av1-debugsource-0.5.0-1.20190612gitd380874.fc31.x86_64.rpm
          svt-av1-0.5.0-1.20190612gitd380874.fc31.src.rpm
svt-av1.x86_64: W: spelling-error Summary(en_US) Scalable -> Salable, Callable, Calculable
svt-av1.x86_64: W: spelling-error %description -l en_US transcoding -> trans coding, trans-coding, transcending
svt-av1.x86_64: W: no-manual-page-for-binary SvtAv1DecApp
svt-av1.x86_64: W: no-manual-page-for-binary SvtAv1EncApp
svt-av1-libs.x86_64: W: spelling-error %description -l en_US transcoding -> trans coding, trans-coding, transcending
svt-av1-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libSvtAv1Dec.so.1.3.0 exit@GLIBC_2.2.5
svt-av1-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libSvtAv1Enc.so.1.3.0 exit@GLIBC_2.2.5
svt-av1-devel.x86_64: W: spelling-error %description -l en_US transcoding -> trans coding, trans-coding, transcending
svt-av1-devel.x86_64: W: no-documentation
svt-av1.src: W: spelling-error Summary(en_US) Scalable -> Salable, Callable, Calculable
svt-av1.src: W: spelling-error %description -l en_US transcoding -> trans coding, trans-coding, transcending
6 packages and 0 specfiles checked; 0 errors, 11 warnings.




Rpmlint (debuginfo)
-------------------
Checking: svt-av1-debuginfo-0.5.0-1.20190612gitd380874.fc31.x86_64.rpm
          svt-av1-libs-debuginfo-0.5.0-1.20190612gitd380874.fc31.x86_64.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
sh: /usr/bin/python: No such file or directory
/usr/share/rpmlint/Pkg.py:168: UnicodeWarning: decode() called on unicode string, see https://bugzilla.redhat.com/show_bug.cgi?id=1693751
  s.decode('UTF-8')
svt-av1-devel.x86_64: W: spelling-error %description -l en_US transcoding -> trans coding, trans-coding, transcending
svt-av1-devel.x86_64: W: invalid-url URL: https://github.com/OpenVisualCloud/SVT-AV1 <urlopen error [Errno -2] Name or service not known>
svt-av1-devel.x86_64: W: no-documentation
svt-av1-libs.x86_64: W: spelling-error %description -l en_US transcoding -> trans coding, trans-coding, transcending
svt-av1-libs.x86_64: W: invalid-url URL: https://github.com/OpenVisualCloud/SVT-AV1 <urlopen error [Errno -2] Name or service not known>
svt-av1-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSvtAv1Dec.so.1.3.0 sem_init
svt-av1-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSvtAv1Dec.so.1.3.0 sem_destroy
svt-av1-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSvtAv1Dec.so.1.3.0 pthread_create
svt-av1-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSvtAv1Dec.so.1.3.0 pthread_cancel
svt-av1-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSvtAv1Dec.so.1.3.0 sem_post
svt-av1-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSvtAv1Dec.so.1.3.0 sem_wait
svt-av1-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSvtAv1Dec.so.1.3.0 pthread_join
svt-av1-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libSvtAv1Dec.so.1.3.0 exit@GLIBC_2.2.5
svt-av1-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSvtAv1Enc.so.1.3.0 sem_init
svt-av1-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSvtAv1Enc.so.1.3.0 sem_destroy
svt-av1-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSvtAv1Enc.so.1.3.0 pthread_create
svt-av1-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSvtAv1Enc.so.1.3.0 pthread_cancel
svt-av1-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSvtAv1Enc.so.1.3.0 sem_post
svt-av1-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSvtAv1Enc.so.1.3.0 pthread_setaffinity_np
svt-av1-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSvtAv1Enc.so.1.3.0 sem_wait
svt-av1-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSvtAv1Enc.so.1.3.0 pthread_join
svt-av1-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libSvtAv1Enc.so.1.3.0 exit@GLIBC_2.2.5
/usr/share/rpmlint/Pkg.py:168: UnicodeWarning: decode() called on unicode string, see https://bugzilla.redhat.com/show_bug.cgi?id=1693751
  s.decode('UTF-8')
/usr/share/rpmlint/Pkg.py:168: UnicodeWarning: decode() called on unicode string, see https://bugzilla.redhat.com/show_bug.cgi?id=1693751
  s.decode('UTF-8')
svt-av1-debuginfo.x86_64: W: invalid-url URL: https://github.com/OpenVisualCloud/SVT-AV1 <urlopen error [Errno -2] Name or service not known>
/usr/share/rpmlint/Pkg.py:168: UnicodeWarning: decode() called on unicode string, see https://bugzilla.redhat.com/show_bug.cgi?id=1693751
  s.decode('UTF-8')
svt-av1-libs-debuginfo.x86_64: W: invalid-url URL: https://github.com/OpenVisualCloud/SVT-AV1 <urlopen error [Errno -2] Name or service not known>
/usr/share/rpmlint/Pkg.py:168: UnicodeWarning: decode() called on unicode string, see https://bugzilla.redhat.com/show_bug.cgi?id=1693751
  s.decode('UTF-8')
svt-av1.x86_64: W: spelling-error Summary(en_US) Scalable -> Salable, Callable, Calculable
svt-av1.x86_64: W: spelling-error %description -l en_US transcoding -> trans coding, trans-coding, transcending
svt-av1.x86_64: W: invalid-url URL: https://github.com/OpenVisualCloud/SVT-AV1 <urlopen error [Errno -2] Name or service not known>
/usr/share/rpmlint/Pkg.py:168: UnicodeWarning: decode() called on unicode string, see https://bugzilla.redhat.com/show_bug.cgi?id=1693751
  s.decode('UTF-8')
svt-av1.x86_64: W: no-manual-page-for-binary SvtAv1DecApp
svt-av1.x86_64: W: no-manual-page-for-binary SvtAv1EncApp
/usr/share/rpmlint/Pkg.py:168: UnicodeWarning: decode() called on unicode string, see https://bugzilla.redhat.com/show_bug.cgi?id=1693751
  s.decode('UTF-8')
svt-av1-debugsource.x86_64: W: invalid-url URL: https://github.com/OpenVisualCloud/SVT-AV1 <urlopen error [Errno -2] Name or service not known>
6 packages and 0 specfiles checked; 0 errors, 30 warnings.



Source checksums
----------------
https://github.com/OpenVisualCloud/SVT-AV1/archive/d380874c5f5f985ff764fc18031760eaf313eea6/svt-av1-d380874.tar.gz :
  CHECKSUM(SHA256) this package     : d5d17b8a57823f2a4932510cb344930240ec1e2d95c6eccf8844734158a4169a
  CHECKSUM(SHA256) upstream package : d5d17b8a57823f2a4932510cb344930240ec1e2d95c6eccf8844734158a4169a


Requires
--------
svt-av1 (rpmlib, GLIBC filtered):
    libSvtAv1Dec.so.1()(64bit)
    libSvtAv1Enc.so.1()(64bit)
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)

svt-av1-libs (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    rtld(GNU_HASH)

svt-av1-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libSvtAv1Dec.so.1()(64bit)
    libSvtAv1Enc.so.1()(64bit)
    svt-av1-libs

svt-av1-debuginfo (rpmlib, GLIBC filtered):

svt-av1-debugsource (rpmlib, GLIBC filtered):



Provides
--------
svt-av1:
    svt-av1
    svt-av1(x86-64)

svt-av1-libs:
    libSvtAv1Dec.so.1()(64bit)
    libSvtAv1Enc.so.1()(64bit)
    svt-av1-libs
    svt-av1-libs(x86-64)

svt-av1-devel:
    pkgconfig(SvtAv1Dec)
    pkgconfig(SvtAv1Enc)
    svt-av1-devel
    svt-av1-devel(x86-64)

svt-av1-debuginfo:
    debuginfo(build-id)
    svt-av1-debuginfo
    svt-av1-debuginfo(x86-64)

svt-av1-debugsource:
    svt-av1-debugsource
    svt-av1-debugsource(x86-64)



Generated by fedora-review 0.7.2 (65d36bb) last change: 2019-04-09
Command line :/usr/bin/fedora-review -b 1719798 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, C/C++, Shell-api
Disabled plugins: Ruby, Ocaml, SugarActivity, Perl, PHP, R, Haskell, Python, fonts, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 4 Robert-André Mauchin 2019-06-13 15:27:03 UTC
1. Done.

2. Not necessary as the needed libs are autodetected but ok

3. OK

4. I fixed the build flags. But I need to keep mavx for this package, the code is specifically designed for it, removing it would hinder performance greatly.

5. Should be solved.

6. Can't do. The tests needs to git clone a custom fork of aom during build, which is not possible in Koji/Mock.

7. OK


SPEC and src.rpm at the same URL.

Spec URL: https://eclipseo.fedorapeople.org/for-review/svt-av1.spec
SRPM URL: https://eclipseo.fedorapeople.org/for-review/svt-av1-0.5.0-1.20190612gitd380874.fc31.src.rpm

Comment 5 Robert-André Mauchin 2019-06-13 15:28:01 UTC
Koji scratch build:

Comment 6 Robert-André Mauchin 2019-06-13 15:32:00 UTC
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=35522793

Comment 7 Jerry James 2019-06-14 01:52:23 UTC
(In reply to Robert-André Mauchin from comment #4)
> 2. Not necessary as the needed libs are autodetected but ok

My reading of https://docs.fedoraproject.org/en-US/packaging-guidelines/#_requiring_base_package is that dependencies between subpackages must always be explicit, but perhaps I am reading it incorrectly.


> 4. I fixed the build flags. But I need to keep mavx for this package, the
> code is specifically designed for it, removing it would hinder performance
> greatly.

Hinder performance, or make it not work at all?  If the former, then I think you should seriously consider the approach in the blog post referenced above.  Otherwise, you are almost guaranteed to have people filing bugs against this package complaining that they got an illegal instruction error.

It turns out that "-z noexecstack" is needed in the link flags.  Rpmlint now complains:

svt-av1-libs.x86_64: W: executable-stack /usr/lib64/libSvtAv1Dec.so.1.3.0
svt-av1-libs.x86_64: W: executable-stack /usr/lib64/libSvtAv1Enc.so.1.3.0


> 6. Can't do. The tests needs to git clone a custom fork of aom during build,
> which is not possible in Koji/Mock.

Okay.  It was worth asking. :-)

I will go ahead and approve this package.  Add -z noexecstack back into the link flags before you commit.

Comment 8 Robert-André Mauchin 2019-06-14 07:46:04 UTC
(In reply to Jerry James from comment #7)
> (In reply to Robert-André Mauchin from comment #4)
> > 2. Not necessary as the needed libs are autodetected but ok
> 
> My reading of
> https://docs.fedoraproject.org/en-US/packaging-guidelines/
> #_requiring_base_package is that dependencies between subpackages must
> always be explicit, but perhaps I am reading it incorrectly.
> 
OK.
> 
> > 4. I fixed the build flags. But I need to keep mavx for this package, the
> > code is specifically designed for it, removing it would hinder performance
> > greatly.
> 
> Hinder performance, or make it not work at all?  If the former, then I think
> you should seriously consider the approach in the blog post referenced
> above.  Otherwise, you are almost guaranteed to have people filing bugs
> against this package complaining that they got an illegal instruction error.
> 
The encoder is designed to run on HEDT system. It would be useless to run on older systems.
I'm asking FPC for an exception: https://pagure.io/packaging-committee/issue/905

> It turns out that "-z noexecstack" is needed in the link flags.  Rpmlint now
> complains:
> 
> svt-av1-libs.x86_64: W: executable-stack /usr/lib64/libSvtAv1Dec.so.1.3.0
> svt-av1-libs.x86_64: W: executable-stack /usr/lib64/libSvtAv1Enc.so.1.3.0
> 
Will do.

> 
> > 6. Can't do. The tests needs to git clone a custom fork of aom during build,
> > which is not possible in Koji/Mock.
> 
> Okay.  It was worth asking. :-)
> 
> I will go ahead and approve this package.  Add -z noexecstack back into the
> link flags before you commit.

Thanks for the review!

Comment 9 Gwyn Ciesla 2019-06-20 18:48:02 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/svt-av1

Comment 10 Fedora Update System 2019-07-05 17:14:27 UTC
FEDORA-2019-29f62f607d has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-29f62f607d

Comment 11 Fedora Update System 2019-07-05 17:23:04 UTC
FEDORA-2019-4a5cd342a6 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4a5cd342a6

Comment 12 Fedora Update System 2019-07-06 04:18:51 UTC
svt-av1-0.6.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-29f62f607d

Comment 13 Fedora Update System 2019-07-06 06:41:28 UTC
svt-av1-0.6.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4a5cd342a6

Comment 14 Fedora Update System 2019-07-21 06:50:07 UTC
svt-av1-0.6.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-07-21 15:27:58 UTC
svt-av1-0.6.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.